# class RDoc::Stats::Quiet

frozen_string_literal: false

Stats printer that prints nothing

### Public Class Methods

new(num_files) click to toggle source

Creates a new Quiet that will print nothing

    # File lib/rdoc/stats/quiet.rb, line 10
    def initialize num_files
      @num_files = num_files
    end

### Public Instance Methods

begin_adding(*) click to toggle source

Prints a message at the beginning of parsing

    # File lib/rdoc/stats/quiet.rb, line 17
    def begin_adding(*) end

done_adding(*) click to toggle source

Prints when RDoc is done

    # File lib/rdoc/stats/quiet.rb, line 57
    def done_adding(*) end

print_alias(*) click to toggle source

Prints when an alias is added

    # File lib/rdoc/stats/quiet.rb, line 22
    def print_alias(*) end

print_attribute(*) click to toggle source

Prints when an attribute is added

    # File lib/rdoc/stats/quiet.rb, line 27
    def print_attribute(*) end

print_class(*) click to toggle source

Prints when a class is added

    # File lib/rdoc/stats/quiet.rb, line 32
    def print_class(*) end

print_constant(*) click to toggle source

Prints when a constant is added

    # File lib/rdoc/stats/quiet.rb, line 37
    def print_constant(*) end

print_file(*) click to toggle source

Prints when a file is added

    # File lib/rdoc/stats/quiet.rb, line 42
    def print_file(*) end

print_method(*) click to toggle source

Prints when a method is added

    # File lib/rdoc/stats/quiet.rb, line 47
    def print_method(*) end

print_module(*) click to toggle source

Prints when a module is added

    # File lib/rdoc/stats/quiet.rb, line 52
    def print_module(*) end